Page MenuHomePhabricator

Schools of Software Testing
Closed, ResolvedPublic

Description

TODO

Analytical, Factory, Quality Assurance, Context-Driven

Factory school: emphasis on reduction of testing tasks to routines that can be automated or delegated to cheap labor.
Control school: emphasis on standards and processes that enforce or rely heavily on standards.
Test-driven school: emphasis on code-focused testing by programmers.
Analytical school: emphasis on analytical methods for assessing the quality of the software, including improvement of testability by improved precision of specifications and many types of modeling.
Context-drive school: emphasis on adapting to the circumstances under which the product is developed and used.

The four-schools (I prefer five-schools) approach provides one useful structure. (β€œAll models are wrong; some models are useful.” β€” George Box)

Analytic, Standard, Quality, Context-Driven, Agile

  • QTE reading club 2021-10-13, ~ 60 minutes (optional)

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
Resolvedzeljkofilipin

Event Timeline

zeljkofilipin raised the priority of this task from Medium to Needs Triage.May 17 2021, 1:51 PM
zeljkofilipin changed the task status from Open to In Progress.Oct 4 2021, 4:21 PM
zeljkofilipin claimed this task.
zeljkofilipin renamed this task from Four Schools of Software Testing to Schools of Software Testing.Oct 6 2021, 2:43 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin changed the task status from In Progress to Open.Oct 6 2021, 3:06 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)